Google Web Toolkit (Beta)
Search this site:

# Class Integer

public final class Integer
extends Number
implements Comparable
Wraps a primitive `int` as an object.

## Fields

MAX_VALUE |
MIN_VALUE |

## Constructors

Integer(int) |
Integer(String) |

## Methods

byteValue() |
compareTo(Integer) |
compareTo(Object) |
decode(String) |
doubleValue() |
equals(Object) |
floatValue() |
hashCode() |
intValue() |
longValue() |
parseInt(String) |
parseInt(String, int) |
shortValue() |
toBinaryString(int) |
toHexString(int) |
toString(int) |
toString() |
valueOf(String) |
valueOf(String, int) |